package org.telegram.telegrambots.meta.api.objects.extra;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import org.telegram.telegrambots.meta.api.interfaces.BotApiObject;

/**
 * @author Andrea Cavalli
 * @version 0.1
 *
 * This object contains information about a channel location.
 */
@EqualsAndHashCode(callSuper = false)
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ExtraChannelLocation implements BotApiObject {

    @JsonProperty("geo_point")
    private ExtraGeoPoint geoPoint;
    @JsonProperty("address")
    private String address;
}
