package org.telegram.telegrambots.meta.api.objects.extra;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import org.telegram.telegrambots.meta.api.interfaces.BotApiObject;

/**
 * @author Andrea Cavalli
 * @version 0.1
 *
 * This object contains information about a chat.
 */
@EqualsAndHashCode(callSuper = false)
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ExtraChatInfo implements BotApiObject {

    @JsonProperty("id")
    private Long id;
    @JsonProperty("about")
    private String about;
    @JsonProperty("participants")
    private ExtraChatMembers members;
    @JsonProperty("read_inbox_max_id")
    private Integer readInboxMaxId;
    @JsonProperty("read_outbox_max_id")
    private Integer readOutboxMaxId;
    @JsonProperty("unread_count")
    private Integer unreadCount;
    @JsonProperty("bot_info")
    private List<ExtraBotInfo> botInfo;
    @JsonProperty("blocked")
    private Boolean blocked;
    @JsonProperty("participants_count")
    private Integer memberCount;
    @JsonProperty("admins_count")
    private Integer adminCount;
    @JsonProperty("kicked_count")
    private Integer kickedCount;
    @JsonProperty("banned_count")
    private Integer bannedCount;
    @JsonProperty("online_count")
    private Integer onlineCount;
    @JsonProperty("migrated_from_chat_id")
    private Integer migratedFromChatId;
    @JsonProperty("migrated_from_max_id")
    private Integer migratedFromMaxId;
    @JsonProperty("pinned_msg_id")
    private Integer pinnedMessageId;
    @JsonProperty("linked_chat_id")
    private Integer linkedChatId;
    @JsonProperty("location")
    private ExtraChannelLocation location;
    @JsonProperty("slowmode_seconds")
    private Integer slowmodeSeconds;
    @JsonProperty("slowmode_next_send_date")
    private Integer slowmodeNextSendDate;
    @JsonProperty("stats_dc")
    private Integer statsDc;
    @JsonProperty("ttl_period")
    private Integer ttlPeriod;
    @JsonProperty("pending_suggestions")
    private String pendingSuggestions;
}
