package org.telegram.telegrambots.meta.api.objects.extra;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import org.telegram.telegrambots.meta.api.interfaces.BotApiObject;

/**
 * @author Andrea Cavalli
 * @version 0.1
 *
 * This object contains information about a chat members.
 */
@EqualsAndHashCode(callSuper = false)
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ExtraChatMembers implements BotApiObject {

    @JsonProperty("chat_id")
    private Long chatId;
    @JsonProperty("participants")
    private List<ExtraChatMember> members;
}
