package org.telegram.telegrambots.meta.api.objects.extra;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import org.telegram.telegrambots.meta.api.interfaces.BotApiObject;

/**
 * @author Andrea Cavalli
 * @version 0.1
 *
 * This object contains information about a geographic point.
 */
@EqualsAndHashCode(callSuper = false)
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ExtraGeoPoint implements BotApiObject {

    @JsonProperty("long")
    private Double longitude;
    @JsonProperty("lat")
    private Double latitude;
    @JsonProperty("access_hash")
    private Long accessHash;
    @JsonProperty("accuracy_radius")
    private Integer accuracyRadius;
}
