package org.telegram.telegrambots.updatesreceivers;

import org.telegram.telegrambots.meta.api.objects.Update;
import org.telegram.telegrambots.meta.exceptions.TelegramApiValidationException;

public class MalformedUpdateException extends RuntimeException {

    private final Update update;

    public MalformedUpdateException(Update update, TelegramApiValidationException validationException) {
        super(validationException);
        this.update = update;
    }

    public Update getUpdate() {
        return update;
    }

    @Override
    public String getMessage() {
        return "Malformed update";
    }
}
